> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query



## OpenAPI

````yaml /openapi.yml get /api/v2/transactions/{transactionId}
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/transactions/{transactionId}:
    get:
      tags:
        - Transactions
      summary: Query
      operationId: api-transactions-query
      parameters:
        - name: transactionId
          in: path
          description: The transaction identifier generated by Paybyrd.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/TransactionResponseExample'
              schema:
                $ref: '#/components/schemas/TransactionResponse'
      deprecated: false
components:
  examples:
    TransactionResponseExample:
      value:
        amount: '13.00'
        isoAmount: 1300
        brand: MASTER
        code: BYRD200
        createdDate: '2021-06-01T01:21:41Z'
        currency: EUR
        description: Operation successfully completed
        externalCustomIdentifier: 33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972
        externalSessionIdentifier: bda69b31-8a81-4779-801e-f7d6e5d3fa47
        externalTransactionIdentifier: dc3f1e75-0e4b-49c5-a68e-5adea241e749
        index: 0
        initiatedFrom: PayByLink
        operationType: Capture
        personId: 10
        referencedTransactions:
          - amount: '13.00'
            isoAmount: 1300
            capturedDate: '2021-05-31T22:04:31Z'
            createdDate: '2021-05-31T22:01:57Z'
            currency: EUR
            externalCustomIdentifier: c9a625d4-d968-47a0-b237-e5d4f31dfcd4
            index: 1
            initiatedFrom: PayByLink
            operationType: PreAuth
            orderRef: AMZ1962
            personId: 10
            subscriptionGuid: 5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656
            terminalId: EM30X4X5X0
            transactionDate: '2021-05-31T22:01:57Z'
            transactionId: c9a625d4-d968-47a0-b237-e5d4f31dfcd4
        status: Success
        subscriptionGuid: 5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656
        transactionDate: '2021-06-01T01:21:41Z'
        transactionId: 33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972
        acquirerResponseCode: 00-I
        acquirerResponseMessage: Authorized
        acquirerEntity: '11854'
        acquirerReference: '999999935'
  schemas:
    TransactionResponse:
      type: object
      properties:
        amount:
          type: string
          description: The transaction amount.
          example: '-1.00'
        isoAmount:
          type: integer
          description: The transaction amount.
          example: -100
          format: int64
        brand:
          type: string
          description: The transaction brand.
          example: MASTER
        code:
          $ref: '#/components/schemas/PaybyrdCode'
        createdDate:
          type: string
          example: '2021-06-01T01:21:41Z'
        currency:
          type: string
          example: EUR
        description:
          $ref: '#/components/schemas/PaybyrdDescription'
        externalCustomIdentifier:
          type: string
          example: 33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972
        externalSessionIdentifier:
          type: string
          example: bda69b31-8a81-4779-801e-f7d6e5d3fa47
        externalTransactionIdentifier:
          type: string
          example: dc3f1e75-0e4b-49c5-a68e-5adea241e749
        index:
          type: integer
          description: >-
            This value represents the transaction order in the timeline of the
            transaction.
          example: 4
          default: 0
        initiatedFrom:
          type: string
          description: Defines where the transaction was started from.
          example: Server
        operationType:
          type: string
          description: Identifies what a kind of transaction is it.
          example: Refund
        personId:
          type: integer
          description: Identify which merchant is the transaction owner.
          example: 10
          default: 0
        referencedTransactions:
          $ref: '#/components/schemas/ReferencedTransactionResponse'
        status:
          type: string
          example: Success
        subscriptionGuid:
          type: string
          example: 5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656
        transactionDate:
          type: string
          example: '2021-06-01T01:21:41Z'
        transactionId:
          type: string
          example: 33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972
        fingerPrint:
          type: string
          description: >-
            This field represents the shopper FingerPrint in the Paybyrd's
            systems.
          example: V0010015818248598768349855188
        acquirerResponseCode:
          type: string
          description: The authorization host response code.
          example: 00-I
        acquirerResponseMessage:
          type: string
          description: The authorization host response message
          example: Authorized
        acquirerEntity:
          type: string
          description: The acquirer entity
          example: 11854
        acquirerReference:
          type: string
          description: The acquirer reference
          example: 999999935
        multicaixaExpress:
          type: object
          description: >-
            Multicaixa Express payment details. Only present when the
            transaction brand is MULTICAIXAEXPRESS.
          properties:
            deeplink:
              type: string
              format: uri
              description: >-
                Deeplink used by Checkout to redirect the user to the Multicaixa
                Express app.
              example: >-
                mcxwallet://purchase?qrref=000201010212260700032205203742530497325406300.105802AO5908ProxyPay6006Luanda61081000-10062430532fe4eeddd078343c391d6d10721233a3207034446304F577
            deeplinkRedirect:
              type: string
              format: uri
              description: >-
                Web URL fallback used by Checkout to redirect the user to the
                Multicaixa Express app.
              example: >-
                https://api.sandbox.proxypay.co.ao/deeplink/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hq...
            qrCodeUrl:
              type: string
              format: uri
              description: >-
                URL of the QR code image used by Checkout for the Multicaixa
                Express payment.
              example: >-
                https://api.sandbox.proxypay.co.ao/qrcode/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hq...
            expiresAt:
              type: string
              format: date-time
              description: >-
                Expiration date and time of the payment request in ISO 8601
                format.
              example: '2026-05-19T18:00:37'
    PaybyrdCode:
      type: string
      description: >-
        Represents the Paybyrd code of the web request. To see more details
        check in [Return Codes](ref:appendix-return-codes) page.
      example: BYRD200
      enum:
        - BYRD010
        - BYRD200
        - BYRD201
        - BYRD203
        - BYRD205
        - BYRD206
        - BYRD207
        - BYRD208
        - BYRD230
        - BYRD231
        - BYRD240
        - BYRD290
        - BYRD291
        - BYRD292
        - BYRD294
        - BYRD299
        - BYRD401
        - BYRD403
        - BYRD900
        - BYRD901
        - BYRD999
    PaybyrdDescription:
      type: string
      example: Operation successfully completed
      description: >-
        Represents a textually the description of the Paybyrd code of the web
        request.  To see more details check in [Return
        Codes](ref:appendix-return-codes) page
      enum:
        - Request accepted
        - Operation successfully completed
        - Payment being processed. Waiting for shopper
        - >-
          An error occurred while processing the payment. Please query the
          transaction to confirm its status
        - Operation rejected
        - Operation blocked by velocity
        - Pending redirect
        - Payment canceled by the shopper
        - Payment already refunded
        - >-
          The refund amount exceeds the remaining balance of the original
          payment
        - Token is expired
        - >-
          An error occurred while pre processing the transaction. Please review
          your request and try again
        - >-
          An error occurred during while preparing transaction for acquiring.
          Please review your request and try again
        - >-
          No payment methods available for this operation. Please contact
          Paybyrd's support
        - >-
          Transaction could not be updated. Please review your request and try
          again
        - >-
          Operation could not be completed. Please review your request and try
          again
        - Resource access is forbidden
        - Resource access unauthorized
        - Invalid input
        - Resource not found
        - Operation failed
    ReferencedTransactionResponse:
      type: array
      items:
        type: object
        properties:
          transactionId:
            type: string
            description: The unique identifier of the transaction.
            example: c9a625d4-d968-47a0-b237-e5d4f31dfcd4
            format: guid
          attempt:
            type: integer
            description: >-
              The number of attempt that this transaction represents when
              associated to an order
            example: 1
            format: int32
          index:
            type: integer
            description: >-
              The position of this transaction in the list. You can order by
              this property if needed.
            example: 1
          amount:
            type: string
            description: The transaction amount.
            example: '13.00'
          isoAmount:
            type: integer
            description: The transaction amount.
            example: 1300
            format: int64
          acquirer:
            $ref: '#/components/schemas/Acquirer'
          brand:
            $ref: '#/components/schemas/Brand'
          paymentMethod:
            $ref: '#/components/schemas/PaymentMethod'
          capturedDate:
            type: string
            example: '2021-05-31T22:04:31Z'
          createdDate:
            type: string
            example: '2021-05-31T22:01:57Z'
          initiatedFrom:
            $ref: '#/components/schemas/PaymentMethod'
          currency:
            type: string
            example: EUR
          externalCustomIdentifier:
            type: string
            example: c9a625d4-d968-47a0-b237-e5d4f31dfcd4
          operationType:
            type: string
            example: PreAuth
          orderRef:
            type: string
            example: AMZ1962
          personId:
            type: integer
            example: 10
            default: 0
          status:
            type: string
            example: Paid
          subscriptionGuid:
            type: string
            example: 5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656
          terminalId:
            type: string
            example: EM30X4X5X0
          transactionDate:
            type: string
            example: '2021-05-31T22:01:57Z'
          multicaixaExpress:
            type: object
            description: >-
              Multicaixa Express payment details. Only present when the
              transaction brand is MULTICAIXAEXPRESS.
            properties:
              deeplink:
                type: string
                format: uri
                description: Direct deeplink for the MultiCaixa Express app.
                example: >-
                  mcxwallet://purchase?qrref=000201010212260700032205203742530497325406300.105802AO5908ProxyPay6006Luanda61081000-10062430532fe4eeddd078343c391d6d10721233a3207034446304F577
              deeplinkRedirect:
                type: string
                format: uri
                description: >-
                  Redirect URL for mobile and browser flows to the MultiCaixa
                  Express app.
                example: >-
                  https://api.sandbox.proxypay.co.ao/deeplink/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hq...
              qrCodeUrl:
                type: string
                format: uri
                description: QR Code image URL.
                example: >-
                  https://api.sandbox.proxypay.co.ao/qrcode/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hq...
              expiresAt:
                type: string
                format: date-time
                description: Payment expiration timestamp in ISO 8601 format.
                example: '2026-05-19T18:00:37'
    Acquirer:
      type: string
      description: Indicates which acquirer the transaction was processed
      example: VALITOR
      enum:
        - SIBS
        - VALITOR
        - BAMBORA
        - PPRO
        - PAYPAY
        - REDE
        - PROXYPAY
        - PAYPAL
        - PAYWORKS
        - FLOA
        - SIMULATED
    Brand:
      type: string
      description: Represents the payment method brand of the transaction.
      example: VISA
      enum:
        - VISA
        - MASTER
        - AMEX
        - DINERS
        - DISCOVER
        - JCB
        - ELO
        - VPAY
        - DANKORT
        - MBWAY
        - SIBS_MULTIBANCO
        - IDEAL
        - PAYPAL
        - MULTICAIXA_REF
        - SEPA
        - FLOA1XD
        - FLOA3X
        - FLOA4X
    PaymentMethod:
      type: string
      description: Represents the payment method of the transaction.
      example: CARD
      enum:
        - CARD
        - MBWAY
        - SIBS_MULTIBANCO
        - IDEAL
        - PAYPAL
        - MULTICAIXA_REF
        - SEPA
        - FLOA1XD
        - FLOA3X
        - FLOA4X
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````